com.google.gwt.cell.client

## Class Cell.Context

- java.lang.Object
- - com.google.gwt.cell.client.Cell.Context

Enclosing interface:
  Cell<C>

    public static class Cell.Context
    extends java.lang.Object

Contains information about the context of the Cell.

### Constructor Summary

Constructors
Constructor and Description
`Context(int index, int column, java.lang.Object key)` Create a new `Cell.Context`.
`Context(int index, int column, java.lang.Object key, int subindex)` Create a new `Cell.Context`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumn()` Get the column index of the cell.
`int` `getIndex()` Get the absolute index of the value.
`java.lang.Object` `getKey()` Get the key that uniquely identifies the row object.
`int` `getSubIndex()` Get the sub index of the rendered row value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Context

    public Context(int index,
                   int column,
                   java.lang.Object key)

Create a new `Cell.Context`.

Parameters:
  `index` - the absolute index of the value
  `column` - the column index of the cell, or 0
  `key` - the unique key that represents the row value

#### Context

    public Context(int index,
                   int column,
                   java.lang.Object key,
                   int subindex)

Create a new `Cell.Context`.

Parameters:
  `index` - the absolute index of the value
  `column` - the column index of the cell, or 0
  `key` - the unique key that represents the row value
  `subindex` - the child index

### Method Detail

#### getColumn

    public int getColumn()

Get the column index of the cell. If the view only contains a single column, this method returns 0.

Returns:
  the column index of the cell

#### getIndex

    public int getIndex()

Get the absolute index of the value.

Returns:
  the index

#### getKey

    public java.lang.Object getKey()

Get the key that uniquely identifies the row object.

Returns:
  the unique key

#### getSubIndex

    public int getSubIndex()

Get the sub index of the rendered row value. If the row value renders to a single row element, the sub index is 0. If the row value renders to more than one row element, the sub index may be greater than zero.